peopleAttributes=c(
    75, 1, 1, 1, 2, 1, #1
    23, 2, 1, 1, 2, 2, #2
    22, 2, 1, 2, 1, 1, #3

    23, 2, 1, 2, 2, 1, #4
    22, 2, 2, 1, 2, 2, #5
    26, 2, 1, 1, 2, 1, #6

    22, 3, 1, 2, 2, 1, #7
    22, 2, 1, 2, 1, 1, #8
    22, 2, 1, 2, 2, 1, #9

    23, 2, 1, 2, 2, 1, #10
    25, 2, 1, 2, 2, 2, #11
    23, 2, 2, 1, 1, 2, #12

    25, 2, 1, 2, 2, 1  #13
	)

  
    

peopleId=c(
          1,0,0,0,0,0,0,0,0,0,0,0,0,
          0,1,0,0,0,0,0,0,0,0,0,0,0,
          0,0,1,0,0,0,0,0,0,0,0,0,0,
          0,0,0,1,0,0,0,0,0,0,0,0,0,
          0,0,0,0,1,0,0,0,0,0,0,0,0,
          0,0,0,0,0,1,0,0,0,0,0,0,0,
          0,0,0,0,0,0,1,0,0,0,0,0,0,
          0,0,0,0,0,0,0,1,0,0,0,0,0,
          0,0,0,0,0,0,0,0,1,0,0,0,0,
          0,0,0,0,0,0,0,0,0,1,0,0,0,
          0,0,0,0,0,0,0,0,0,0,1,0,0,
          0,0,0,0,0,0,0,0,0,0,0,1,0,
          0,0,0,0,0,0,0,0,0,0,0,0,1
          )

x=matrix(peopleAttributes,ncol=6,byrow=TRUE)

y=matrix(peopleId,ncol=13,byrow=TRUE)


adjust   = function(x,xmin,xmax) {(x-xmin)/(xmax-xmin)}

library(nnet)

# scaling (not necessary for y matrix)

x1min=min(x[,1])
x1max=max(x[,1])
x[,1]=adjust(x[,1],x1min,x1max)

x2min=min(x[,2])
x2max=max(x[,2])
x[,2]=adjust(x[,2],x2min,x2max)

x3min=min(x[,3])
x3max=max(x[,3])
x[,3]=adjust(x[,3],x3min,x3max)

x4min=min(x[,4])
x4max=max(x[,4])
x[,4]=adjust(x[,4],x4min,x4max)

x5min=min(x[,5])
x5max=max(x[,5])
x[,5]=adjust(x[,5],x5min,x5max)

x6min=min(x[,6])
x6max=max(x[,6])
x[,6]=adjust(x[,6],x6min,x6max)

#nnet
myNet=nnet(x=x, y=y, size=9, maxit=2000) #try other num. of hidden elements (here 9)
# try to repeat, for an error < 3.0

myNet
summary(myNet)
fit=myNet$fitted.values#formatC(fit, digits = 2, format = "f")
#print(formatC(fit, digits = 2, format = "f"))

print(sum(myNet$residuals**2))

#on the fly using a function
calc = function (x1,x2,x3,x4,x5,x6) {res=predict(myNet,c(adjust(x1,x1min,x1max),adjust(x2,x2min,x2max),
                     adjust(x3,x3min,x3max),adjust(x4,x4min,x4max),
                     adjust(x5,x5min,x5max),adjust(x6,x6min,x6max)));res}
                     
calc(75,1,1,1,2,1) #case 1
calc(23,2,1,1,2,2) #case 2
calc(22,2,1,2,1,1) #case 3 equal to case 8
calc(23,2,1,2,2,1) #case 4 equal to case 10
calc(22,2,2,1,2,2) #case 5
